Package org.springframework.core

# Class KotlinReflectionParameterNameDiscoverer

java.lang.Object
org.springframework.core.KotlinReflectionParameterNameDiscoverer

All Implemented Interfaces:
  `ParameterNameDiscoverer`

public class KotlinReflectionParameterNameDiscoverer extends Object implements ParameterNameDiscoverer
`ParameterNameDiscoverer` implementation which uses Kotlin's reflection facilities for introspecting parameter names.

Compared to `StandardReflectionParameterNameDiscoverer`, it allows in addition to determine interface parameter names without requiring Java 8 -parameters compiler flag.

Since:
  5.0
Author:
  Sebastien Deleuze
See Also:
  - `StandardReflectionParameterNameDiscoverer`
  - `DefaultParameterNameDiscoverer`

## Constructor Summary

Constructors
Constructor
Description
`KotlinReflectionParameterNameDiscoverer()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getParameterNames(Constructor<?> ctor)`
Return parameter names for a constructor, or `null` if they cannot be determined.
`String[]`
`getParameterNames(Method method)`
Return parameter names for a method, or `null` if they cannot be determined.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KotlinReflectionParameterNameDiscoverer

public KotlinReflectionParameterNameDiscoverer()

## Method Details

### getParameterNames

@Nullable public String[] getParameterNames(Method method)
Description copied from interface: `ParameterNameDiscoverer`
Return parameter names for a method, or `null` if they cannot be determined.

Individual entries in the array may be `null` if parameter names are only available for some parameters of the given method but not for others. However, it is recommended to use stub parameter names instead wherever feasible.

Specified by:
  `getParameterNames` in interface `ParameterNameDiscoverer`
Parameters:
  `method` - the method to find parameter names for
Returns:
  an array of parameter names if the names can be resolved, or `null` if they cannot

### getParameterNames

@Nullable public String[] getParameterNames(Constructor<?> ctor)
Description copied from interface: `ParameterNameDiscoverer`
Return parameter names for a constructor, or `null` if they cannot be determined.

Individual entries in the array may be `null` if parameter names are only available for some parameters of the given constructor but not for others. However, it is recommended to use stub parameter names instead wherever feasible.

Specified by:
  `getParameterNames` in interface `ParameterNameDiscoverer`
Parameters:
  `ctor` - the constructor to find parameter names for
Returns:
  an array of parameter names if the names can be resolved, or `null` if they cannot